IF EXISTS (SELECT name
FROM sysobjects
WHERE name = 'SensorInformation' 
AND type = 'V')
DROP VIEW SensorInformation
GO

CREATE VIEW SensorInformation
AS
SELECT
SENSOR.SensorId, 
SENSOR.SensorName,
SENSOR.SensorTypeId,
SENSORTYPE.SensorTypeName, 
SENSOR.Location
FROM
SENSOR 
INNER JOIN SENSORTYPE ON SENSOR.SensorTypeId = SENSORTYPE.SensorTypeId
GO